summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_local-preseed
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_chroot_local-preseed')
-rwxr-xr-xhelpers/lh_chroot_local-preseed73
1 files changed, 73 insertions, 0 deletions
diff --git a/helpers/lh_chroot_local-preseed b/helpers/lh_chroot_local-preseed
new file mode 100755
index 0000000..f93f463
--- /dev/null
+++ b/helpers/lh_chroot_local-preseed
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# lh_chroot_local-preseed(1) - use debconf local preseeding file
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="execute local preseed in chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Echo_message "Begin executing locale preseed..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_local-preseed
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if ls config/chroot_local-preseed/* > /dev/null 2>&1
+then
+ # Check dependency
+ Check_package chroot/usr/bin/debconf-set-selections debconf
+
+ # Install dependency
+ Install_package
+
+ for PRESEED in config/chroot_local-preseed/*
+ do
+ # Copying local preseed
+ cp "${PRESEED}" chroot/root/preseed
+
+ Chroot "debconf-set-selections /root/preseed"
+
+ # Removing local preseed file
+ rm -f chroot/root/preseed
+ done
+
+ # Remove dependency
+ Remove_package
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_local-preseed
+fi